org.apache.lucene.queryparser.flexible.core.builders

## Interface QueryBuilder

- All Known Subinterfaces:
    StandardQueryBuilder
  All Known Implementing Classes:
    AnyQueryNodeBuilder, BooleanQueryNodeBuilder, BoostQueryNodeBuilder, DummyQueryNodeBuilder, FieldQueryNodeBuilder, FuzzyQueryNodeBuilder, GroupQueryNodeBuilder, MatchAllDocsQueryNodeBuilder, MatchNoDocsQueryNodeBuilder, ModifierQueryNodeBuilder, MultiPhraseQueryNodeBuilder, NumericRangeQueryNodeBuilder, PhraseQueryNodeBuilder, PrefixWildcardQueryNodeBuilder, QueryTreeBuilder, RegexpQueryNodeBuilder, SlopQueryNodeBuilder, StandardBooleanQueryNodeBuilder, StandardQueryTreeBuilder, TermRangeQueryNodeBuilder, WildcardQueryNodeBuilder

      public interface QueryBuilder

  This interface is used by implementors classes that builds some kind of object from a query tree.
  See Also:
    `QueryTreeBuilder`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `build(QueryNode queryNode)` Builds some kind of object from a query tree.

- - ### Method Detail

    - #### build

          Object build(QueryNode queryNode)
                       throws QueryNodeException

      Builds some kind of object from a query tree.
      Parameters:
        `queryNode` - the query tree root node
      Returns:
        some object generated from the query tree
      Throws:
        `QueryNodeException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.